<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Visitors Demo Application</title>
    {{ bootstrap.load_css() }}
    <style>
        pre {
            background: #ddd;
            padding: 10px;
        }
        h2 {
            margin-top: 20px;
        }
        footer {
            margin: 20px;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light mb-4">
        <div class="container">
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item"><a class="nav-link" href="{{ url_for('index') }}">Home</a></li>
                <li class="nav-item"><a class="nav-link" href="{{ url_for('resetcounter') }}">ResetCount</a></li>
                <li class="nav-item"><a class="nav-link" href="{{ url_for('health') }}">Health</a></li>
                <li class="nav-item"><a class="nav-link" href="https://gitlab.com/conclusionxforce/automation/ansible/hackathon_webapp.git" target="_blank">GitLab</a></li>
            </ul>
        </div>
        </div>
    </nav>

    {% block content %}
        <div class="container">
            {% with messages = get_flashed_messages() %}
            {% if messages %}
                {% for message in messages %}
                <div class="alert alert-info" role="alert">{{ message }}</div>
                {% endfor %}
            {% endif %}
            {% endwith %}

            {# application content needs to be provided in the app_content block #}
            {% block app_content %}{% endblock %}
        </div>
    {% endblock %}

    <footer class="text-center">
        {% block footer %}
            <small> &copy; 2023</small>
        {% endblock %}
    </footer>

    {{ bootstrap.load_js() }}
</body>
</html>
